Drift policies
curl --request GET \
--url https://{host}/api/supervisors/{name}/security/policies/drift \
--cookie k8s-gate-session=import requests
url = "https://{host}/api/supervisors/{name}/security/policies/drift"
headers = {"cookie": "k8s-gate-session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'k8s-gate-session='}};
fetch('https://{host}/api/supervisors/{name}/security/policies/drift', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/security/policies/drift",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "k8s-gate-session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/security/policies/drift"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "k8s-gate-session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{host}/api/supervisors/{name}/security/policies/drift")
.header("cookie", "k8s-gate-session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/security/policies/drift")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'k8s-gate-session='
response = http.request(request)
puts response.read_body{
"drifts": [
{
"affectedNamespace": "<string>",
"affectedWorkload": "<string>",
"bytes": 1,
"declaredVerdict": "<string>",
"destPort": 1,
"direction": "<string>",
"driftType": "<string>",
"observedAction": "<string>",
"policyKind": "<string>",
"policyName": "<string>",
"protocol": "<string>",
"peerNamespace": "<string>",
"peerWorkload": "<string>",
"policyNamespace": "<string>"
}
],
"edgesAnalysed": 123,
"policiesChecked": 123,
"windowSeconds": 123
}{
"error": "<string>"
}{
"error": "<string>"
}security
Drift policies
Security → PQC: post-quantum readiness of the gateways’ TLS, glued from
Authorisation: security:Read on krn:celum:supervisor:{name}:security:*.
Assistant tool: get_policy_drift
GET
/
api
/
supervisors
/
{name}
/
security
/
policies
/
drift
Drift policies
curl --request GET \
--url https://{host}/api/supervisors/{name}/security/policies/drift \
--cookie k8s-gate-session=import requests
url = "https://{host}/api/supervisors/{name}/security/policies/drift"
headers = {"cookie": "k8s-gate-session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'k8s-gate-session='}};
fetch('https://{host}/api/supervisors/{name}/security/policies/drift', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/security/policies/drift",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "k8s-gate-session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/security/policies/drift"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "k8s-gate-session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{host}/api/supervisors/{name}/security/policies/drift")
.header("cookie", "k8s-gate-session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/security/policies/drift")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'k8s-gate-session='
response = http.request(request)
puts response.read_body{
"drifts": [
{
"affectedNamespace": "<string>",
"affectedWorkload": "<string>",
"bytes": 1,
"declaredVerdict": "<string>",
"destPort": 1,
"direction": "<string>",
"driftType": "<string>",
"observedAction": "<string>",
"policyKind": "<string>",
"policyName": "<string>",
"protocol": "<string>",
"peerNamespace": "<string>",
"peerWorkload": "<string>",
"policyNamespace": "<string>"
}
],
"edgesAnalysed": 123,
"policiesChecked": 123,
"windowSeconds": 123
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
sessionCookiebearerToken
The session cookie issued by the OIDC sign-in flow. This is what a browser uses.
Path Parameters
The supervisor's name, as registered under Administration → Supervisors.